Bug 731988 - BRM doesn't deploy into EWS out-of-the-box due to missing slf4j libs
Summary: BRM doesn't deploy into EWS out-of-the-box due to missing slf4j libs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: Build Process, Documentation, Deployment
Version: BRMS 5.2.0.GA
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: BRMS 5.2.0.GA
Assignee: Ryan Zhang
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On: 734066
Blocks: BRMS-432
TreeView+ depends on / blocked
 
Reported: 2011-08-19 11:41 UTC by Jiri Locker
Modified: 2013-03-06 04:21 UTC (History)
5 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-06 04:21:06 UTC
Type: ---


Attachments (Terms of Use)

Description Jiri Locker 2011-08-19 11:41:37 UTC
Description of problem:
slf4j libs were removed from jboss-brms.war/WEB-INF/lib to resolve bug 724487, but that prevents the webapp from deploying into EWS where these libs are not provided. Can be easily solved by adding slf4j-api and slf4j-log4j12 into jboss-brms.war/WEB-INF/lib but this is a manual step that should be documented in the BRMS Administrator Guide. Also, the missing slf4j libs should be part of the brms-deployable package, so that the product is shipped with all necessary components.

Version-Release number of selected component (if applicable):
JBoss EWS 1.0.2


Actual results:
deployment fails due to

Aug 19, 2011 1:22:53 PM org.apache.catalina.core.StandardContext listenerStart
SEVERE: Error configuring application listener of class org.drools.guvnor.server.repository.RepositoryShutdownService
java.lang.NoClassDefFoundError: org/slf4j/LoggerFactory
        at org.drools.guvnor.server.util.LoggingHelper.<init>(LoggingHelper.java:46)
        at org.drools.guvnor.server.util.LoggingHelper.getLogger(LoggingHelper.java:42)
        at org.drools.guvnor.server.repository.RepositoryShutdownService.<clinit>(RepositoryShutdownService.java:33)


Expected results:
the missing libs should be shipped, manual configuration steps must be documented

Comment 1 Ryan Zhang 2011-09-06 10:12:28 UTC
cc dmison@redhat.com

slf4j-api is already in brms-engine.zip.
I would add slf4j-log4j12 into brms-engine.zip from next release(ER4 or CR1). This action would also fix Bug 734066  (- slf4j is missing classes on IBM JVM).

Darrin,Could you do the documentation part of this issue? Thanks in advance.

Add one more step for deploying jboss-brms.war into EWS.
Copy slf4j* from jboss-brms-engine.zip/binaries/ to jboss-brms.war/WEB-INF/lib

Comment 2 Lukáš Petrovický 2011-09-06 10:15:48 UTC
(In reply to comment #1)
> Darrin,Could you do the documentation part of this issue? Thanks in advance.

I don't think Darrin works on BRMS anymore. CCing Lee.

Comment 3 lcarlon 2011-09-06 22:45:42 UTC
Thanks Lukáš,

You're quite right, Darrin has moved on to another product.

I'll add the information to the admin guide shortly.

Comment 5 Ryan Zhang 2011-09-07 04:17:32 UTC
Yes, Thanks.
Update this issue now.

Comment 6 Lukáš Petrovický 2011-09-20 09:02:35 UTC
The underlying BZ is not fixed, which means this one is not as well. But the documentation part is OK.

Comment 7 Ryan Zhang 2011-09-27 05:55:31 UTC
It is fixed now. Please verify it in the next Release.

Comment 8 Lukáš Petrovický 2011-09-30 08:21:36 UTC
Underlying issue is fixed, marking as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.